buffer_putalign(3)

NAME
buffer_putalign - write binary data to buffer

SYNTAX
#include <buffer.h> int buffer_putalign(buffer* b,const char* x,unsigned int len);

DESCRIPTION
buffer_putalign is similar to buffer_put. The difference to buffer_put is that, when there isn't enough space for new data, buffer_put calls buffer_flush before copying any data, while buffer_putalign fills all available space with data before calling buffer_flush.

SEE ALSO
buffer_put(3), buffer_putsalign(3), buffer_flush(3), buffer(3)